﻿--
-- PostgreSQL database dump
--

-- Dumped from database version 10.2
-- Dumped by pg_dump version 10.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: DATABASE xframe_db; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON DATABASE xframe_db IS 'xFrameDevStudio DB';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: code; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE code (
    projectid character varying(40) NOT NULL,
    codeid character varying(40) NOT NULL,
    name character varying(60),
    delimiter character varying(10),
    style character(1),
    data text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    directory character varying(255) NOT NULL
);


ALTER TABLE code OWNER TO xframe;

--
-- Name: directories; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE directories (
    projectid character varying(40) NOT NULL,
    directory character varying(255) NOT NULL,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    comment character varying(255)
);


ALTER TABLE directories OWNER TO xframe;

--
-- Name: image; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE image (
    projectid character varying(40) NOT NULL,
    imageid character varying(40) NOT NULL,
    type character(3),
    name character varying(50),
    data text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    directory character varying(255) NOT NULL
);


ALTER TABLE image OWNER TO xframe;

--
-- Name: library; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE library (
    projectid character varying(40) NOT NULL,
    libraryid character varying(40) NOT NULL,
    type character(3),
    name character varying(50),
    data text,
    comment character varying(255),
    "createTime" character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40)
);


ALTER TABLE library OWNER TO xframe;

--
-- Name: menu; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE menu (
    projectid character varying(40) NOT NULL,
    directory character varying(255) NOT NULL,
    menuid character varying(40) NOT NULL,
    data text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    component character varying(40)
);


ALTER TABLE menu OWNER TO xframe;

--
-- Name: metadata; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE metadata (
    projectid character varying(40) NOT NULL,
    metaid character varying(40) NOT NULL,
    metacomment character varying(60) NOT NULL,
    metalength character varying(10) NOT NULL,
    metaplace character varying(10) NOT NULL,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40)
);


ALTER TABLE metadata OWNER TO xframe;

--
-- Name: module; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE module (
    projectid character varying(40) NOT NULL,
    moduleid character varying(40) NOT NULL,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    vbscript text,
    javascript text
);


ALTER TABLE module OWNER TO xframe;

--
-- Name: modulecheckout; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE modulecheckout (
    projectid character varying(40) NOT NULL,
    moduleid character varying(40) NOT NULL,
    checkoutuserid character varying(40) NOT NULL,
    checkoutipaddress character varying(15) NOT NULL,
    checkouttime character varying(14)
);


ALTER TABLE modulecheckout OWNER TO xframe;

--
-- Name: modulehistory; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE modulehistory (
    projectid character varying(40) NOT NULL,
    moduleid character varying(40) NOT NULL,
    savetime character varying(14) NOT NULL,
    saveuserid character varying(40) NOT NULL,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    eventtype character(1),
    vbscript text,
    javascript text
);


ALTER TABLE modulehistory OWNER TO xframe;

--
-- Name: project; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE project (
    projectid character varying(40) NOT NULL,
    name character varying(50),
    comment character varying(255),
    createtime character varying(14),
    projecttype character(1)
);


ALTER TABLE project OWNER TO xframe;

--
-- Name: screen; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE screen (
    projectid character varying(40) NOT NULL,
    screenid character varying(255) NOT NULL,
    title character varying(255) NOT NULL,
    header text,
    data text,
    help text,
    comment character varying(244),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    vbscript text,
    javascript text,
    directory character varying(255) NOT NULL
);


ALTER TABLE screen OWNER TO xframe;

--
-- Name: screencheckout; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE screencheckout (
    projectid character varying(40) NOT NULL,
    screenid character varying(255) NOT NULL,
    checkoutuserid character varying(40) NOT NULL,
    checkoutipaddress character varying(15) NOT NULL,
    checkouttime character varying(14),
    directory character varying(255) NOT NULL
);


ALTER TABLE screencheckout OWNER TO xframe;

--
-- Name: screenhelp; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE screenhelp (
    projectid character varying(40) NOT NULL,
    screenid character varying(255) NOT NULL,
    directory character varying(255) NOT NULL,
    data text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40)
);


ALTER TABLE screenhelp OWNER TO xframe;

--
-- Name: screenhistory; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE screenhistory (
    projectid character varying(40) NOT NULL,
    screenid character varying(255) NOT NULL,
    savetime character varying(14) NOT NULL,
    saveuserid character varying(40) NOT NULL,
    title character varying(255) NOT NULL,
    header text,
    data text,
    help text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    eventtype character(1),
    vbscript text,
    javascript text,
    directory character varying(255) NOT NULL
);


ALTER TABLE screenhistory OWNER TO xframe;

--
-- Name: COLUMN screenhistory.projectid; Type: COMMENT; Schema: public; Owner: xframe
--

COMMENT ON COLUMN screenhistory.projectid IS '프로젝트아이디';


--
-- Name: COLUMN screenhistory.saveuserid; Type: COMMENT; Schema: public; Owner: xframe
--

COMMENT ON COLUMN screenhistory.saveuserid IS '화면을 저장한 사용자아이디';


--
-- Name: screenhistoryoption; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE screenhistoryoption (
    projectid character varying(40) NOT NULL,
    expiredate character varying(10) NOT NULL,
    expirenumber character varying(10) NOT NULL,
    modifytime character varying(14),
    modifyuserid character varying(40),
    createtime character varying(14),
    createuserid character varying(40)
);


ALTER TABLE screenhistoryoption OWNER TO xframe;

--
-- Name: style; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE style (
    projectid character varying(40) NOT NULL,
    component character varying(40) NOT NULL,
    styleid character varying(40) NOT NULL,
    comment character varying(255),
    data text,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    stylethemeid character varying(40) NOT NULL
);


ALTER TABLE style OWNER TO xframe;

--
-- Name: template; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE template (
    projectid character varying(40) NOT NULL,
    templateid character varying(40) NOT NULL,
    name character varying(50),
    data text,
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    javascript text,
    vbscript text
);


ALTER TABLE template OWNER TO xframe;

--
-- Name: userdirectoryauthority; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE userdirectoryauthority (
    projectid character varying(40) NOT NULL,
    directory character varying(255) NOT NULL,
    userid character varying(40) NOT NULL,
    screenpermission character(1),
    codepermission character(1),
    imagepermission character(1),
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    directorymanager character(1),
    directoryhidden character(1),
    menupermission character(1)
);


ALTER TABLE userdirectoryauthority OWNER TO xframe;

--
-- Name: userevent; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE userevent (
    projectid character varying(40) NOT NULL,
    userid character varying(40) NOT NULL,
    eventtime character varying(14) NOT NULL,
    eventtype character(1),
    ipaddress character varying(15)
);


ALTER TABLE userevent OWNER TO xframe;

--
-- Name: usermoduleauthority; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE usermoduleauthority (
    projectid character varying(40) NOT NULL,
    moduleid character varying(40) NOT NULL,
    userid character varying(40) NOT NULL,
    modulepermission character(1),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40)
);


ALTER TABLE usermoduleauthority OWNER TO xframe;

--
-- Name: usertable; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE usertable (
    projectid character varying(40) NOT NULL,
    userid character varying(40) NOT NULL,
    userpassword character varying(64),
    username character varying(50) NOT NULL,
    userlevel character varying(10),
    comment character varying(255),
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40),
    manageruserid character varying(40),
    passwordregistdate character varying(8),
    passwordinvalidcount character varying(1)
);


ALTER TABLE usertable OWNER TO xframe;

--
-- Name: xdataset; Type: TABLE; Schema: public; Owner: xframe
--

CREATE TABLE xdataset (
    projectid character varying(40) NOT NULL,
    xdatasetid character varying(40) NOT NULL,
    comment character varying(255),
    columninfo text,
    createtime character varying(14),
    createuserid character varying(40),
    modifytime character varying(14),
    modifyuserid character varying(40)
);


ALTER TABLE xdataset OWNER TO xframe;

--
-- Name: directories directories_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY directories
    ADD CONSTRAINT directories_pkey PRIMARY KEY (projectid, directory);


--
-- Name: library library_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY library
    ADD CONSTRAINT library_pkey PRIMARY KEY (projectid, libraryid);


--
-- Name: menu menu_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_pkey PRIMARY KEY (projectid, directory, menuid);


--
-- Name: metadata metadata_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY metadata
    ADD CONSTRAINT metadata_pkey PRIMARY KEY (projectid, metaid);


--
-- Name: module module_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY module
    ADD CONSTRAINT module_pkey PRIMARY KEY (projectid, moduleid);


--
-- Name: modulecheckout modulecheckout_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY modulecheckout
    ADD CONSTRAINT modulecheckout_pkey PRIMARY KEY (projectid, moduleid);


--
-- Name: modulehistory modulehistory_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY modulehistory
    ADD CONSTRAINT modulehistory_pkey PRIMARY KEY (projectid, moduleid, savetime, saveuserid);


--
-- Name: project project_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_pkey PRIMARY KEY (projectid);


--
-- Name: screen screen_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY screen
    ADD CONSTRAINT screen_pkey PRIMARY KEY (title, screenid, projectid, directory);


--
-- Name: screencheckout screencheckout_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY screencheckout
    ADD CONSTRAINT screencheckout_pkey PRIMARY KEY (projectid, screenid, directory);


--
-- Name: screenhelp screenhelp_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY screenhelp
    ADD CONSTRAINT screenhelp_pkey PRIMARY KEY (projectid, screenid, directory);


--
-- Name: screenhistory screenhistory_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY screenhistory
    ADD CONSTRAINT screenhistory_pkey PRIMARY KEY (projectid, screenid, savetime, saveuserid, directory);


--
-- Name: screenhistoryoption screenhistoryoption_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY screenhistoryoption
    ADD CONSTRAINT screenhistoryoption_pkey PRIMARY KEY (projectid);


--
-- Name: style style_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY style
    ADD CONSTRAINT style_pkey PRIMARY KEY (projectid, component, styleid, stylethemeid);


--
-- Name: template template_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY template
    ADD CONSTRAINT template_pkey PRIMARY KEY (projectid, templateid);


--
-- Name: usertable user_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY usertable
    ADD CONSTRAINT user_pkey PRIMARY KEY (projectid, userid);


--
-- Name: userdirectoryauthority userdirectoryauthority_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY userdirectoryauthority
    ADD CONSTRAINT userdirectoryauthority_pkey PRIMARY KEY (projectid, directory, userid);


--
-- Name: userevent userevent_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY userevent
    ADD CONSTRAINT userevent_pkey PRIMARY KEY (projectid, userid, eventtime);


--
-- Name: usermoduleauthority usermoduleauthority_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY usermoduleauthority
    ADD CONSTRAINT usermoduleauthority_pkey PRIMARY KEY (projectid, moduleid, userid);


--
-- Name: xdataset xdataset_pkey; Type: CONSTRAINT; Schema: public; Owner: xframe
--

ALTER TABLE ONLY xdataset
    ADD CONSTRAINT xdataset_pkey PRIMARY KEY (projectid, xdatasetid);


--
-- PostgreSQL database dump complete
--

